Page MenuHomePhabricator

Active link annotation styling conflicts with "plainlinks" class
Closed, ResolvedPublic1 Story Points

Description

Syntax like <span class="plainlinks">/<div class="plainlinks"> is used in wikitext to suppress the little arrow shown next to external links. In some cases the entire page can be wrapped in that. It seems to conflict with our active link annotation styling, for example on https://en.wikipedia.org/wiki/Butch_Miles?veaction=edit:

Normal styling
Broken styling

Event Timeline

matmarex created this task.Mar 23 2018, 9:52 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMar 23 2018, 9:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
matmarex triaged this task as Normal priority.Mar 27 2018, 10:54 AM
DLynch added a subscriber: DLynch.Mar 27 2018, 4:50 PM

It's an !important issue:

In MW core we have:

.plainlinks a {
	background: none !important;
	padding: 0 !important;
}
DLynch claimed this task.Mar 27 2018, 5:01 PM

Change 422427 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] MWExternalLinkAnnotation: add CSS to override plainlinks styling

https://gerrit.wikimedia.org/r/422427

Change 422427 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWExternalLinkAnnotation: add CSS to override plainlinks styling

https://gerrit.wikimedia.org/r/422427

Deskana closed this task as Resolved.Apr 9 2018, 3:34 PM
Deskana set the point value for this task to 1.